


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: CompanyRepository</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.repository</a> ]
</div>

<h1>Coverage Summary for Class: CompanyRepository (com.dema.timeregistration.repository)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
</tr>
<tr>
  <td class="name">CompanyRepository</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.repository;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.entity.Company;
<i>4</i>&nbsp;
<i>5</i>&nbsp;import java.util.List;
<i>6</i>&nbsp;import java.util.Optional;
<i>7</i>&nbsp;
<i>8</i>&nbsp;public interface CompanyRepository extends CrudRepository&lt;Company&gt; {
<i>9</i>&nbsp;    Optional&lt;Company&gt; findByName(String name);
<i>10</i>&nbsp;
<i>11</i>&nbsp;    boolean existsByName(String name);
<i>12</i>&nbsp;
<i>13</i>&nbsp;    boolean existsByNameAndIdNot(String name, int id);
<i>14</i>&nbsp;
<i>15</i>&nbsp;    List&lt;Company&gt; findAll();
<i>16</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
